package org.university.core;

import java.util.ArrayList;

public class GraduateStudent extends Student
{
    private ArrayList<Publication> publications;
    private Professor advisor;

    public GraduateStudent(String firstName, String lastName, String ID, int joiningYear, Department department, Professor advisor) {
        super(firstName, lastName, ID, joiningYear, department);
        this.advisor = advisor;
    }

    public void addPublication(Publication p)
    {

        publications.add(p);
    }

    public ArrayList<Publication> getPublications() {

        return publications;
    }

    public Professor getAdvisor()
    {
        return advisor;
    }
    public double calCurrentIncome(){
        return publications.size()*1000;

    }


}
